package com.yidian.shenghuoquan.bmanagercenter.http.httpbean

/**
 * author: yinjiacheng
 * date: 5/23/21 12:13 PM
 * description: 获取身份证OCR
 */
class GetIDCardOCRBean(val request: Request, val response: Response) {
  data class Request(
    val back_image_url: String,
    val posit_image_url: String
  )

  data class Response(
    val back: Back,
    val posit: Posit
  )

  data class Back(
    val issued_by: String,
    val valid_date_end: String,
    val valid_date_start: String,
    val completeness: Int,
    val legality: Legality
  )

  data class Posit(
    val address: String,
    val birth_day: String,
    val birth_month: String,
    val birth_year: String,
    val completeness: Int,
    val gender: String,
    val idcard_number: String,
    val legality: Legality,
    val name: String,
    val nationality: String
  )

  data class Legality(
    val Edited: Double,
    val ID_Photo: Double,
    val ID_Photo_Threshold: Double,
    val Photocopy: Double,
    val Screen: Double,
    val Temporary_ID_Photo: Double
  )
}
